package BBUVA;

import BBUVA.JFrames.miniJFrames.jfrmInicio;
import java.io.File;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author EsPCaList@s
 */
public class BBUVAOperator {
    
    Sucursal suc;

    private static void asignarProductosDeClientesASucursal(Sucursal suc) {
        for(int i=0;i<suc.getTitular().size();i++)
            for(int j=0;j<suc.getTitular().get(i).getMProductos().size();j++) {
                Producto p = suc.getTitular().get(i).getMProductos().get(j);
                if(!suc.getProducto().contains(p))
                    suc.addProducto(p);
            }
    }

    private static void cargaDatosNoPersistentes(Sucursal suc){
        suc.setNSucursal(4002);

        List<Caja> ac= new ArrayList<Caja>();

        Arqueo arq1 = new Arqueo(150);
        arq1.setFinalizado(true);
        arq1.setSaldoFinal(150);
        Caja c1=new Caja();
        c1.setIdCaja(1);
        c1.setArq(arq1);
        ac.add(c1);

        Arqueo arq2 = new Arqueo(150);
        Caja c2=new Caja();
        c2.setIdCaja(2);
        c2.setArq(arq2);
        ac.add(c2);
        c2.setLibre(false);

        Arqueo arq3 = new Arqueo(150);
        arq3.setFinalizado(true);
        arq3.setSaldoFinal(150);
        Caja c3=new Caja();
        c3.setArq(arq3);
        ac.add(c3);
        c3.setIdCaja(3);

        suc.setMCaja(ac);
    }
    
    public static void main(String[] args) {
        Sucursal suc=new Sucursal();
        suc.setTitular(ControladorBD.getDataTitulares());
        ControladorBD cbd = new ControladorBD();
        //cbd.setUpDB(suc);
        cargaDatosNoPersistentes(suc);
        suc.setTitular(ControladorBD.getDataTitulares());
        suc.setMEmpleado(ControladorBD.getDataEmpleados());
        asignarProductosDeClientesASucursal(suc);
        File directorio= new File("C:\\BBUVA");
        directorio.mkdir();
        new jfrmInicio(suc).setVisible(true);
    }
}
